using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Reports;
using Telerik.Reporting;

public partial class DefaultCS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            this.ReportViewer1.Report = new Report1();
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        Report1 report = (Report1) this.ReportViewer1.Report;
        report.ReportParameters[0].Value = this.TextBox1.Text;
        this.ReportViewer1.Report = report;
    }
}
